> ## Documentation Index
> Fetch the complete documentation index at: https://developer.karmacheck.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Reason code for OHS and drug tests

> System-defined IDs for all reason codes used with OHS and drug screening services.

The following table lists the possible reason codes for OHS and drug screenings. The reasons for a physical and a drug screening appear respectively as `physicalReasonDescription` and `reasonForTest` in the response body of the [`GET /case/id/{caseId}/data/{serviceTypeId}`](/api-reference/cases/get-case-data-by-case-id) endpoint.

| Reason | ID | Description |
| - | - | - |
| **Diversion** | reason-drug-test-di | Applies to drug screenings |
| **Follow Up** | reason-drug-test-fu | Applies to drug screenings |
| **Other** | reason-drug-test-ot | Applies to drug screenings |
| **Post Accident** | reason-drug-test-pa | Applies to drug screenings |
| **Pre-employment** | reason-drug-test-pe | The default value for drug screenings |
| **Periodic Medical** | reason-drug-test-pm | Applies to drug screenings |
| **Promotion** | reason-drug-test-pr | Applies to drug screenings |
| **Random** | reason-drug-test-ra | Applies to drug screenings |
| **Return To Duty** | reason-drug-test-rd | Applies to drug screenings |
| **Reasonable Suspicion** | reason-drug-test-rs | Applies to drug screenings |
| **Transfer** | reason-drug-test-tr | Applies to drug screenings |
| **Follow Up** | reason-physical-fu | Applies to physical screenings |
| **New Certification** | reason-physical-nc | The default value for physical screenings |
| **Recertification** | reason-physical-re | Applies to physical screenings |
